Package org.eclipse.emf.cdo.server.db

## Interface IDBStore.TableVisitor

- Enclosing interface:
    IDBStore

      public static interface IDBStore.TableVisitor

  Called back from `IDBStore.visitAllTables(Connection, TableVisitor)` for all tables in the database.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `visitTable​(java.sql.Connection connection, java.lang.String name)` |

- - ### Method Detail

    - #### visitTable

          void visitTable​(java.sql.Connection connection,
                          java.lang.String name)
                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`